.editor {
    padding-top: 130px;
    padding-bottom: 68px;
    @media (min-width: $tablet) {
        padding-top: 150px;
        padding-bottom: 78px;
    }
    @media (min-width: $bigtab) {
        padding-top: 125px;
        padding-bottom: 50px;
    }
    &__title {
        @include section-title;
        font-size: 26px;
        line-height: 28px;
        text-transform: uppercase;
        color: #635C73;
        padding-bottom: 27px;
        @media(min-width: $tablet) {
            font-size: 42px;
            line-height: 42px;
        }
        @media(min-width: $bigtab) {
            font-size: 54px;
            line-height: 54px;
            margin-bottom: 35px;
        }
    }
    &__text {
        @include section-text;
        line-height: 20px;
        color: $dark-grey;
        padding: 0 20px 36px;
        margin-bottom: 25px;
        @media (min-width: $tablet) {
            font-size: 21px;
            line-height: 32px;
            padding: 0 40px 36px;
        }
        @media (min-width: $bigtab) {
            max-width: 861px;
            padding: 0 0 13px;
        }
    }
    &__buttons {
        @include flex-center;
        flex-wrap: wrap;
        margin: 0 auto;
    }
}

.buttons {
    &__container {
        @include flex-center;
        border: 1px solid #c7cbce;
        border-radius: 6px;
        margin-bottom: 20px;
    }
    &__container:first-child {
        margin-right: 10px;
    }
    &__container:last-child {
        margin-left: 10px;
    }
}

.git-button {
    @include flex-center;
    @include git-button;
    border-radius: 6px 0 0 6px;
    background-color: #FAFBFC;
    padding: 3px 10px;
    font-size: 14px;
    font-weight: 700;
    flex-wrap: wrap;
    &:hover {
        background-color: #bebaba;
    }
    &__icon {
        margin-right: 3px;
    }
}

.button-count {
    @include git-button;
    display: block;
    border-left: 1px solid #c7cbce;
    padding: 3px 10px;
}

.button-count:hover {
    color: #619deb;
}